//
//  GroupTabBar.h
//  垂直TabBar
//
//  Created by admin on 15/11/14.
//  Copyright © 2015年 ZWF. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol GroupTabBarDelegate <NSObject>

// 选中view
- (void)switchView:(UIView *)view;

@end

@interface GroupTabBar : UIView

@property (nonatomic, strong) UIButton *stateBtn; // 状态
@property (nonatomic, strong) UIButton *titleBtn; // 标题
@property (nonatomic, strong) UIButton *sigleBtn; // 单号

@property (nonatomic,assign) id <GroupTabBarDelegate> delegate; // 设置代理

@property (nonatomic, strong) NSArray *items;


- (void)showIndex:(NSInteger)index;


@end
